#include "host.hpp"

namespace sk {
host::host(const std::string &ip, unsigned int connectionsMax)
    : ip{ip}, connections{0}, connectionsMax{connectionsMax}, runners{} {}

void host::addConnection(sk::runner& runner) {
    runners.push(runner);
    connections += 1;
}

const std::string& host::getIp() const {
    return ip;
}

unsigned int host::getNbConnections() const {
    return connections; 
}

unsigned int host::getNbConnectionsMax() const {
    return connectionsMax; 
}
}
